2011/6/8 <zekr+nore...@googlegroups.com>

>
>    - Zekr doesn't start on Arch Linux <#1307158575e0e834_group_thread_0>[4 
> Updates]
>
>   Topic: Zekr doesn't start on Arch 
> Linux<http://groups.google.com/group/zekr/t/cf4b70d8abf56f2d>
>
>    Mahmoud <mhh.dreadl...@gmail.com> Jun 07 11:53AM -0700 
> ^<#1307158575e0e834_digest_top>
>
>    Whenever I start Zekr, I get this stack trace :
>
>    org.eclipse.swt.SWTError: XPCOM error -2147221231
>    at org.eclipse.swt.browser.Mozilla.error(Unknown Source)
>    at org.eclipse.swt.browser.Mozilla.initPreferences(Unknown Source)
>    at org.eclipse.swt.browser.Mozilla.create(Unknown Source)
>    at org.eclipse.swt.browser.Browser.<init>(Unknown Source)
>    at net.sf.zekr.ui.QuranForm.makeFrame(QuranForm.java:475)
>    at net.sf.zekr.ui.QuranForm.init(QuranForm.java:300)
>    at net.sf.zekr.ui.QuranForm.<init>(QuranForm.java:278)
>    at net.sf.zekr.ZekrMain.startZekr(ZekrMain.java:51)
>    at net.sf.zekr.ZekrMain.main(ZekrMain.java:91)
>
>    I have set my $MOZILLA_FIVE_HOME, swt, firefox and xulrunner are
>    installed.
>
>    I have the latest update of Java as of this writing (JRE 6u25).
>
>
>
>
>    mohammad ghasemy <mohammad.ghas...@gmail.com> Jun 08 11:23AM +0430 
> ^<#1307158575e0e834_digest_top>
>
>    I have same bug with fedora 15 too!
>    in the last post of Mr.saboorian take idea on repair this bug but that
>    solution not work in fedora!
>    I must be work on it to find a solution that any user that can use zekr
>    in
>    any platform and any library!
>
>
>
>    --
>    GNU-LINUX IS THE BEST O.S.
>
>
>
>
>    Jasim Mohd <i...@jasimmk.com> Jun 08 01:42PM +0530 
> ^<#1307158575e0e834_digest_top>
>
>    I had the same error on my Aptana Studio 2.0 when i upgraded to Ubuntu
>    11.04,
>    what i did was,
>
>    installed xul-runner 2.0 and xul-runner 1.92. from apt-get install,
>
>    and upgraded the xul runner plugin for aptana from, [can be updated
>    only
>    from aptana website]
>    Mozilla XUL Update Site -
>    http://download.aptana.org/tools/studio/plugin/install/xul-eclipse
>
>
>    the error is because u are using firefox 4 which has xul runner 2.0
>    version,
>    u will have to updated the zekr's xul runner plugin
>    to version 2 or u will have to install [not update] xul-runner 1.92 for
>    Fedora 15also
>
>    On Wed, Jun 8, 2011 at 12:23 PM, mohammad ghasemy <
>
>
>
>
>    mohammad ghasemy <mohammad.ghas...@gmail.com> Jun 08 02:18PM +0430 
> ^<#1307158575e0e834_digest_top>
>
>    > http://download.aptana.org/tools/studio/plugin/install/xul-eclipse
>
>    > the error is because u are using firefox 4 which has xul runner 2.0
>    > version, u will have to updated the zekr's xul runner plugin
>
>    yes .
>    i have two way to solve this problem.
>    i think that new swt.jar library for last release of eclipse project is
>    best
>    solution.
>
>
>    --
>    GNU-LINUX IS THE BEST O.S.
>
> Salam Aleikom.
I had the same trouble with Zekr on Debian, after trying any sugestion and
donnot have succes I just uninstall and purge the package, then download a
zekr tar.gz untar it and run Zekr from this untar file as it was installed.
Even I made a launcher on my menu.

-- 
You received this message because you are subscribed to the Google Groups 
"zekr" group.
To post to this group, send email to zekr@googlegroups.com.
To unsubscribe from this group, send email to zekr+unsubscr...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/zekr?hl=en.

Reply via email to